`timescale 1ns / 1ps
module SDRAMControl(Clock,
                    Reset,
                    Ready,
                    Done,
                    DataValid,
                    ReadRequest,
                    WriteRequest,
                    OutputEnable,
                    WriteData,
                    Address,
                    Mask,
                    RAM_CLK,
                    RAM_CLKE,
                    RAM_DQMH,
                    RAM_DQML,
                    RAM_CS_,
                    RAM_RAS_,
                    RAM_CAS_,
                    RAM_WE_,
                    RAM_BA,
                    RAM_A,
                    RAM_DQ);

    input           Clock;
    input           Reset;

    output          Ready;
    output          Done;
    output          DataValid;

    input           ReadRequest;
    input           WriteRequest;
    input           OutputEnable;

    input   [31:0]  WriteData;
    input   [23:0]  Address;
    input           Mask;

    output          RAM_CLK;
    output          RAM_CLKE;
    output          RAM_DQMH;
    output          RAM_DQML;
    output          RAM_CS_;
    output          RAM_RAS_;
    output          RAM_CAS_;
    output          RAM_WE_;
    output  [1:0]   RAM_BA;
    output  [12:0]  RAM_A;

    inout   [31:0]  RAM_DQ;

    // Start implementing here.

endmodule
